
 function hostConfig(){
    const Hosts = {
      host_dev:'https://dev-case.igandan.com/api',
      img_dev: 'https://medical-case.oss-cn-beijing.aliyuncs.com/static',   //开发环境
    
     host_prod:'https://prod-casecollection.igandan.com/api',
    img_prod: 'https://medical-case.oss-cn-beijing.aliyuncs.com/static', //线上环境

    // host_dev:'https://prod-casecollection.igandan.com/api',
    // img_dev: 'https://medical-case.oss-cn-beijing.aliyuncs.com/static', 
   
    };
    const { envVersion } = wx.getAccountInfoSync().miniProgram;
    let imghost="";
    let host='';
    switch (envVersion) {
      case 'develop':      //开发环境
          host = `${Hosts.host_dev}`;
          imghost= `${Hosts.img_dev}`;
          break;
      case 'trial': //体验版环境
        host = `${Hosts.host_dev}`;
        imghost=`${Hosts.img_dev}`;
        break;
      case 'release':
        host =`${Hosts.host_prod}`;
        imghost=`${Hosts.img_prod}`;
        break;
    };
    return { host, imghost}; 
  
}
module.exports={
  hostConfig
}